Sets the learning rate

- « fann_set_learning_momentum

- fann_set_output_scaling_params »

- PHP Manual
- Fann Functions
- Sets the learning rate

# fann_set_learning_rate

(PECL fann >= 1.0.0)

fann_set_learning_rate — Sets the learning rate

### Description

fann_set_learning_rate(resource `$ann`, float `$learning_rate`): bool

Sets the learning rate.

More info available in fann_get_learning_rate().

### Parameters

`ann`

  Neural network resource.

`learning_rate`

  The learning rate.

### Return Values

Returns `true` on success, or `false` otherwise.

### See Also

- fann_get_learning_rate() - Returns the learning rate
- fann_set_training_algorithm() - Sets the training algorithm